Bug 3918 - talloc.h should include dependent headers
talloc.h should include dependent headers
Product: Samba 4.0
Classification: Unclassified
Component: Other
Other Linux
: P3 normal
: ---
Assigned To: Stefan Metzmacher
Andrew Bartlett
Depends on:
  Show dependency treegraph
Reported: 2006-07-10 11:26 UTC by Heinrich Schmidt
Modified: 2008-01-07 00:50 UTC (History)
3 users (show)

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Heinrich Schmidt 2006-07-10 11:26:25 UTC
Including talloc.h alone gives compiler errors.

To recreate problem just create a tmp.c with one line:
#include <talloc.h>
to reproduce.

Applications using talloc should not need to know which headers talloc.h needs to work. talloc.h should include them on its own.
Comment 1 Alessandro Sappia 2007-02-12 20:21:46 UTC
this seems to be fixed.

alx@griphon:~/samba4/source/lib/talloc$ cat tmp.c 
#include "talloc.h"

int main(void)
        return 0;
alx@griphon:~/samba4/source/lib/talloc$ gcc tmp.c -o tmp
Comment 2 Matthias Dieter Wallnöfer 2007-08-25 07:45:14 UTC
This bug could be marked as fixed!
Comment 3 Matthias Dieter Wallnöfer 2007-08-27 03:10:49 UTC
This bug should also be fixed!
Comment 4 Andrew Bartlett 2008-01-07 00:50:36 UTC
This appears to be fixed.